10 år gammel fejl i Sudo rettet.

10 år gammel fejl i Sudo er blevet rettet.

Gammel fejl i Linux-verdenens Sudo kan misbruges af enhver bruger som har en konti på serveren, til at få root-rettigheder.
Sikkerheds researchere fra Qualys har fundet en kritisk sårbarhed i Sudo, der kan udnyttes til overtagelse af systemet.

Sudo er et open source-kommandolinjeprogram, der bruges på Linux og andre Unix operativsystemer. Det er designet til at give udvalgte, pålidelige brugere administrativ kontrol, når det er nødvendigt. Fejlen har nummeret CVE-2021-3156.

Qualys-holdet har oplyst, at de var i stand til uafhængigt at verificere sårbarheden og udvikle flere udnyttelses varianter til Ubuntu 20.04 (Sudo 1.8.31), Debian 10 (Sudo 1.8.27) og Fedora 33 (Sudo 1.9.2). Ifølge Qualys vil andre operativsystemer og distributioner ‘..sandsynligvis også kunne udnyttes’.

Fejlen blev opdaget for to uger siden og blev patchet tidligere i går med frigivelsen af ​​Sudo v1.9.5p2.

Baron Samedi-fejl
Kort fortalt kan fejlen (der har fået navnet Baron Samedi, navnet på en af ånderne i den haitianske voodoo-religion) udnyttes af en angriber, der har fået adgang til en lavprivilegeret konto til at få rootadgang, selvom kontoen ikke er angivet i den Sudo-fil, der i første omgang styrer, hvilke brugere der har adgang til su- eller sudo-kommandoer.

Det fremgår af Bleeping Computer, at fejlen opstod i Sudo-koden tilbage i juli 2011, og at den i realiteten påvirker alle Sudo-versioner, der er frigivet i løbet af de sidste ti år.

I en erklæring har Qualys sagt, at sårbarheden “..måske er den mest betydningsfulde Sudo-sårbarhed i nyere tid (både med hensyn til omfang og virkning)..”

Så opdatere din sudo hurtigst muligt.

Links:
https://www.bleepingcomputer.com/news/security/new-linux-sudo-flaw-lets-local-users-gain-root-privileges/

https://www.zdnet.com/article/10-years-old-sudo-bug-lets-linux-users-gain-root-level-access

https://www.theregister.com/2021/01/26/qualys_sudo_bug/